---
- name: Template imageset-configuration
  template:
    src: imageset-config.yaml.j2
    dest: "{{ mirror_registry.directory }}/imageset-config.yaml"

- name: Debug catalogs to sync
  debug:
    verbosity: 2
    var: mirror_registry_operator_catalogs

- name: Sync from registry.redhat.io
  command:
    chdir: "{{ mirror_registry.directory }}"
    cmd: "{{ registry_installer_dir }}/oc-mirror --config={{ mirror_registry.directory}}/imageset-config.yaml docker://{{ mirror_registry.hostname }}:{{ mirror_registry.port }}/{{ mirror_registry.namespace}} --continue-on-error"
